Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler Class Reference

The Location Handler interface defines operations on Location elements in the storage engine. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler:

## Public Member Functions
| __construct (LocationGateway $locationGateway, LocationMapper $locationMapper, ContentHandler $contentHandler, ObjectStateHandler $objectStateHandler, TreeHandler $treeHandler)
| Construct from userGateway. More...
| load ($locationId, array $translations=null, bool $useAlwaysAvailable=true)
  | {Loads the data for the location identified by $locationId. Parameters
  int | $locationId |
  string[] | null | $translations | If set, NotFound is thrown if content is not in given translation.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.
  Exceptions
} More...
| loadList (array $locationIds, array $translations=null, bool $useAlwaysAvailable=true)
  | {Return list of unique Locations, with location id as key.Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not. Parameters
  int[] | $locationIds |
  string[] | null | $translations | If set, only locations with content in given translations are returned.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.
Returns \eZ\Publish\SPI\Persistence\Content\Location[]|iterable } More...
| loadSubtreeIds ($locationId)
| Loads the subtree ids of the location identified by $locationId. More...
| loadByRemoteId ($remoteId, array $translations=null, bool $useAlwaysAvailable=true)
  | {Loads the data for the location identified by $remoteId. Parameters
  string | $remoteId |
  string[] | null | $translations | If set, NotFound is thrown if content is not in given translation.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.
  Exceptions
} More...
| loadLocationsByContent ($contentId, $rootLocationId=null)
| Loads all locations for $contentId, optionally limited to a sub tree identified by $rootLocationId. More...
| loadLocationsByTrashContent (int $contentId, ?int $rootLocationId=null)
| {Loads all locations for $contentId in trash, optionally limited to a sub tree identified by $rootLocationId. Returns \eZ\Publish\SPI\Persistence\Content\Location[] } More...
| loadParentLocationsForDraftContent ($contentId)
| copySubtree ($sourceId, $destinationParentId, $newOwnerId=null)
| Copy location object identified by $sourceId, into destination identified by $destinationParentId. More...
| move ($sourceId, $destinationParentId)
| Moves location identified by $sourceId into new parent identified by $destinationParentId. More...
| markSubtreeModified ($locationId, $timestamp=null)
| Marks the given nodes and all ancestors as modified. More...
| hide ($id)
| Sets a location to be hidden, and it self + all children to invisible. More...
| unHide ($id)
| Sets a location to be unhidden, and self + children to visible unless a parent is hiding the tree. More...
| setInvisible (int $id)
| Sets a location + all children to invisible. More...
| setVisible (int $id)
| Sets a location + all children to visible. More...
| swap ($locationId1, $locationId2)
| Swaps the content object being pointed to by a location object. More...
| update (UpdateStruct $location, $locationId)
| Updates an existing location. More...
| create (CreateStruct $createStruct)
| Creates a new location rooted at $location->parentId. More...
| removeSubtree ($locationId)
| Removes all Locations under and including $locationId. More...
| setSectionForSubtree ($locationId, $sectionId)
| Set section on all content objects in the subtree. More...
| changeMainLocation ($contentId, $locationId)
| Changes main location of content identified by given $contentId to location identified by given $locationId. More...
| countAllLocations ()
| Get the total number of all existing Locations. More...
| loadAllLocations ($offset, $limit)
| Bulk-load all existing Locations, constrained by $limit and $offset to paginate results. More...
Public Member Functions inherited from eZ\Publish\SPI\Persistence\Content\Location\Handler
| copySubtree ($sourceId, $destinationParentId)
| Copy location object identified by $sourceId, into destination identified by $destinationParentId. More...
| create (CreateStruct $location)
| Creates a new location rooted at $location->parentId. More...

## Protected Member Functions
| getParentPathString ($pathString)
| Returns parent path string for a path string. More...
| getDefaultContentStates ()
| Returns an array of default content states with content state group id as key. More...
| setContentStates (Content $content, array $contentStates)

## Protected Attributes
| $locationGateway
| $locationMapper
| $contentHandler
| $objectStateHandler
| $treeHandler

## Private Member Functions
| getSectionId ($locationId)
| Retrieves section ID of the location's content. More...
| updateSubtreeSectionIfNecessary (Location $location, $sectionId)
| If the location is the main location for its content, updates subtree section. More...
| isMainLocation (Location $location)
| Checks if the location is the main location for its content. More...

## Detailed Description

The Location Handler interface defines operations on Location elements in the storage engine.

Definition at line 26 of file Core/Persistence/Legacy/Content/Location/Handler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::__construct | ( | LocationGateway | $locationGateway,
|  | LocationMapper | $locationMapper,
|  | ContentHandler | $contentHandler,
|  | ObjectStateHandler | $objectStateHandler,
|  | TreeHandler | $treeHandler
| ) |  |

Construct from userGateway.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway | $locationGateway |
  \eZ\Publish\Core\Persistence\Legacy\Content\Location\Mapper | $locationMapper |
  \eZ\Publish\Core\Persistence\Legacy\Content\Handler | $contentHandler |
  \eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Handler | $objectStateHandler |
  \eZ\Publish\Core\Persistence\Legacy\Content\TreeHandler | $treeHandler |

Returns
  \eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler

Definition at line 74 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\$contentHandler, eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\$locationGateway, eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\$locationMapper, eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\$objectStateHandler, and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\$treeHandler.

## Member Function Documentation

## ◆ changeMainLocation()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::changeMainLocation | ( |  | $contentId,
|  |  | $locationId
| ) |  |

Changes main location of content identified by given $contentId to location identified by given $locationId.

Updates ezcontentobject_tree and eznode_assignment tables (eznode_assignment for content current version number).

Parameters

  mixed | $contentId |
  mixed | $locationId |

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 584 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\copySubtree().

## ◆ copySubtree()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::copySubtree | ( |  | $sourceId,
|  |  | $destinationParentId,
|  |  | $newOwnerId = `null`
| ) |  |

Copy location object identified by $sourceId, into destination identified by $destinationParentId.

Performs a deep copy of the location identified by $sourceId and all of its child locations, copying the most recent published content object for each location to a new content object without any additional version information. Relations are not copied. URLs are not touched at all.

Todo:

  Either move to async/batch or find ways toward optimizing away operations per object.

  Optionally retain dates and set creator

Parameters

  mixed | $sourceId |
  mixed | $destinationParentId |
  int | null | $newOwnerId |

Returns
  Location the newly created Location.

Exceptions

Definition at line 238 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId, eZ\Publish\SPI\Persistence\Content\Location\$pathString, eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\changeMainLocation(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\create(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\getDefaultContentStates(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\getSectionId(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\setContentStates(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\updateSubtreeSectionIfNecessary().

## ◆ countAllLocations()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::countAllLocations | ( |  | ) |

Get the total number of all existing Locations.

Can be combined with loadAllLocations.

Returns
  int

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 594 of file Core/Persistence/Legacy/Content/Location/Handler.php.

## ◆ create()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::create | ( | CreateStruct | $createStruct | ) |

Creates a new location rooted at $location->parentId.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Location\CreateStruct | $createStruct |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location

Definition at line 534 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\copySubtree().

## ◆ getDefaultContentStates()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::getDefaultContentStates | ( |  | ) |
| protected

Returns an array of default content states with content state group id as key.

Returns
  \eZ\Publish\SPI\Persistence\Content\ObjectState[]

Definition at line 189 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\copySubtree().

## ◆ getParentPathString()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::getParentPathString | ( |  | $pathString | ) |
| protected

Returns parent path string for a path string.

Parameters

  string | $pathString |

Returns
  string

Definition at line 95 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$pathString.

## ◆ getSectionId()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::getSectionId | ( |  | $locationId | ) |
| private

Retrieves section ID of the location's content.

Parameters

  int | $locationId |

Returns
  int|null

Definition at line 356 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\load().

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\copySubtree(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\move().

## ◆ hide()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::hide | ( |  | $id | ) |

Sets a location to be hidden, and it self + all children to invisible.

Parameters

  mixed | $id | Location ID

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 456 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$id.

## ◆ isMainLocation()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::isMainLocation | ( | Location | $location | ) |
| private

Checks if the location is the main location for its content.

Parameters

  Location | $location |

Returns
  bool

Definition at line 389 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\updateSubtreeSectionIfNecessary().

## ◆ load()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::load | ( |  | $locationId,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

{Loads the data for the location identified by $locationId.

Parameters

  int | $locationId |
  string[] | null | $translations | If set, NotFound is thrown if content is not in given translation.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 103 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\getSectionId(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\move().

## ◆ loadAllLocations()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::loadAllLocations | ( |  | $offset,
|  |  | $limit
| ) |  |

Bulk-load all existing Locations, constrained by $limit and $offset to paginate results.

Parameters

  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 607 of file Core/Persistence/Legacy/Content/Location/Handler.php.

## ◆ loadByRemoteId()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::loadByRemoteId | ( |  | $remoteId,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

{Loads the data for the location identified by $remoteId.

Parameters

  string | $remoteId |
  string[] | null | $translations | If set, NotFound is thrown if content is not in given translation.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 141 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$remoteId.

## ◆ loadList()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::loadList | ( | array | $locationIds,
|  | array | $translations = `null`,
|  | bool | $useAlwaysAvailable = `true`
| ) |  |

{Return list of unique Locations, with location id as key.Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  int[] | $locationIds |
  string[] | null | $translations | If set, only locations with content in given translations are returned.
  bool | $useAlwaysAvailable | Respect always available flag on content, where main language is valid translation fallback.

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]|iterable

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 111 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$id.

## ◆ loadLocationsByContent()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::loadLocationsByContent | ( |  | $contentId,
|  |  | $rootLocationId = `null`
| ) |  |

Loads all locations for $contentId, optionally limited to a sub tree identified by $rootLocationId.

Parameters

  int | $contentId |
  int | $rootLocationId |

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 157 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ loadLocationsByTrashContent()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::loadLocationsByTrashContent | ( | int | $contentId,
|  | ?int | $rootLocationId = `null`
| ) |  |

{Loads all locations for $contentId in trash, optionally limited to a sub tree identified by $rootLocationId.

Returns
  \eZ\Publish\SPI\Persistence\Content\Location[]

}

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 167 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ loadParentLocationsForDraftContent()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::loadParentLocationsForDraftContent | ( |  | $contentId | ) |

See also
  \eZ\Publish\SPI\Persistence\Content\Location\Handler::loadParentLocationsForDraftContent

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 177 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$contentId.

## ◆ loadSubtreeIds()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::loadSubtreeIds | ( |  | $locationId | ) |

Loads the subtree ids of the location identified by $locationId.

Parameters

  int | $locationId |

Returns
  array Location ids are in the index, Content ids in the value.

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 133 of file Core/Persistence/Legacy/Content/Location/Handler.php.

## ◆ markSubtreeModified()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::markSubtreeModified | ( |  | $locationId,
|  |  | $timestamp = `null`
| ) |  |

Marks the given nodes and all ancestors as modified.

Optionally a time stamp with the modification date may be specified, otherwise the current time is used.

Parameters

  int | string | $locationId |
  int | $timestamp |

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 444 of file Core/Persistence/Legacy/Content/Location/Handler.php.

## ◆ move()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::move | ( |  | $sourceId,
|  |  | $destinationParentId
| ) |  |

Moves location identified by $sourceId into new parent identified by $destinationParentId.

Performs a full move of the location identified by $sourceId to a new destination, identified by $destinationParentId. Relations do not need to be updated, since they refer to Content. URLs are not touched.

Parameters

  mixed | $sourceId |
  mixed | $destinationParentId |

Returns
  bool

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 408 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\getSectionId(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\load(), eZ\Publish\Core\Persistence\Legacy\Content\Location\Gateway\NODE_ASSIGNMENT_OP_CODE_MOVE, and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\updateSubtreeSectionIfNecessary().

## ◆ removeSubtree()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::removeSubtree | ( |  | $locationId | ) |

Removes all Locations under and including $locationId.

Performs a recursive delete on the location identified by $locationId, including all of its child locations. Content which is not referred to by any other location is automatically removed. Content which looses its main Location will get the first of its other Locations assigned as the new main Location.

Parameters

  mixed | $locationId |

Returns
  bool

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 560 of file Core/Persistence/Legacy/Content/Location/Handler.php.

## ◆ setContentStates()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::setContentStates | ( | Content | $content,
|  | array | $contentStates
| ) |  |
| protected

Parameters

  Content | $content |
  \eZ\Publish\SPI\Persistence\Content\ObjectState[] | $contentStates |

Definition at line 208 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\copySubtree().

## ◆ setInvisible()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::setInvisible | ( | int | $id | ) |

Sets a location + all children to invisible.

Parameters

  int | $id | Location ID

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 481 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$id.

## ◆ setSectionForSubtree()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::setSectionForSubtree | ( |  | $locationId,
|  |  | $sectionId
| ) |  |

Set section on all content objects in the subtree.

Parameters

  mixed | $locationId |
  mixed | $sectionId |

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 571 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\updateSubtreeSectionIfNecessary().

## ◆ setVisible()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::setVisible | ( | int | $id | ) |

Sets a location + all children to visible.

Parameters

  int | $id | Location ID

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 493 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$id.

## ◆ swap()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::swap | ( |  | $locationId1,
|  |  | $locationId2
| ) |  |

Swaps the content object being pointed to by a location object.

Make the location identified by $locationId1 refer to the Content referred to by $locationId2 and vice versa.

Parameters

  mixed | $locationId1 |
  mixed | $locationId2 |

Returns
  bool

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 511 of file Core/Persistence/Legacy/Content/Location/Handler.php.

## ◆ unHide()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::unHide | ( |  | $id | ) |

Sets a location to be unhidden, and self + children to visible unless a parent is hiding the tree.

If not make sure only children down to first hidden node is marked visible.

Parameters

  mixed | $id |

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 469 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\SPI\Persistence\Content\Location\$id.

## ◆ update()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::update | ( | UpdateStruct | $location,
|  |  | $locationId
| ) |  |

Updates an existing location.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Location\UpdateStruct | $location |
  int | $locationId |

Implements eZ\Publish\SPI\Persistence\Content\Location\Handler.

Definition at line 522 of file Core/Persistence/Legacy/Content/Location/Handler.php.

## ◆ updateSubtreeSectionIfNecessary()

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::updateSubtreeSectionIfNecessary | ( | Location | $location,
|  |  | $sectionId
| ) |  |
| private

If the location is the main location for its content, updates subtree section.

Parameters

  Location | $location |
  int | $sectionId |

Definition at line 375 of file Core/Persistence/Legacy/Content/Location/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\isMainLocation(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\setSectionForSubtree().

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\copySubtree(), and eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\move().

## Member Data Documentation

## ◆ $contentHandler

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::$contentHandler
| protected

Definition at line 47 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\__construct().

## ◆ $locationGateway

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::$locationGateway
| protected

Definition at line 33 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\__construct().

## ◆ $locationMapper

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::$locationMapper
| protected

Definition at line 40 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\__construct().

## ◆ $objectStateHandler

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::$objectStateHandler
| protected

Definition at line 54 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\__construct().

## ◆ $treeHandler

eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler::$treeHandler
| protected

Definition at line 61 of file Core/Persistence/Legacy/Content/Location/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Location\Handler\__construct().

The documentation for this class was generated from the following file:

- Core/Persistence/Legacy/Content/Location/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.